Normalizer.Form (Java Platform SE 8 )
Keywords: java.text.Normalizer.Form class
Date: 2016-04-24

compact1, compact2, compact3
java.text

## Enum Normalizer.Form

- java.lang.Object
- - java.lang.Enum<Normalizer.Form>
  - - java.text.Normalizer.Form

- All Implemented Interfaces:
    Serializable, Comparable<Normalizer.Form>
  Enclosing class:
    Normalizer

      public static enum Normalizer.Form
      extends Enum<Normalizer.Form>

  This enum provides constants of the four Unicode normalization forms that are described in Unicode Standard Annex #15 — Unicode Normalization Forms and two methods to access them.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NFC` Canonical decomposition, followed by canonical composition.
    `NFD` Canonical decomposition.
    `NFKC` Compatibility decomposition, followed by canonical composition.
    `NFKD` Compatibility decomposition.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Normalizer.Form` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Normalizer.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NFD

          public static final Normalizer.Form NFD

      Canonical decomposition.

    - #### NFC

          public static final Normalizer.Form NFC

      Canonical decomposition, followed by canonical composition.

    - #### NFKD

          public static final Normalizer.Form NFKD

      Compatibility decomposition.

    - #### NFKC

          public static final Normalizer.Form NFKC

      Compatibility decomposition, followed by canonical composition.

  - ### Method Detail

    - #### values

          public static Normalizer.Form[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Normalizer.Form c : Normalizer.Form.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Normalizer.Form valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.